
QGIS Application - Bug report #12336

Identify tool - Error in deselect

2015-03-08 01:25 AM - Lene Fischer

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20512

Description

If I use Autoform - it opens a new dialogbox. If I selcet another object. The previous dialogboxes does not close. And the selection remain

in the map. It is not possible to deselect an open dialog.

I can manually close the dialog in the taskbar - and the selections disappear. But If I remove a layer with open Identify dialogs - I get a

minidump- crash.

Solution: Close dialog automatic when choosing a new object.

Associated revisions

Revision 40da097f - 2015-03-18 06:40 PM - Matthias Kuhn

Close attribute dialog when layer is removed

Fix #12336

Revision 0134a97b - 2015-03-18 06:46 PM - Matthias Kuhn

Close attribute dialog when layer is removed

Fix #12336

History

#1 - 2015-03-08 03:18 AM - Bo Victor Thomsen

- File KOMMUNE.zip added

#2 - 2015-03-08 03:18 AM - Bo Victor Thomsen

- File KOMMUNE.zip added

Steps to reproduce the bug :

    -  Create a project with a single polygon layer

    -  Click on a polygon with "identify features" tool and the "Auto open forms" in dialogue "Identify Results" activated. QGIS will show a "Feature attributes"

dialogue as expected.

    -  Click on another polygon. You get a new "Feature attributes" dialogue for the new selected polygon, but the previous "Feature attributes" doesn't

disappear (Is this a bug or a new feature ? ). You can see the "Feature attributes" dialogues accumulate in the windows task bar besides the QGIS icon.
    -  If you don't activate "Auto open forms", QGIS works as expected (like in previous versions of QGIS).

    -  If you have "Auto open forms" activated and manually close the "Feature attributes" dialogues using the windows task bar, the dialogues and their

associated selection in the map disappear, one by one.

    -  If you click on the "Clear results" button in dialogue "Identify Results" the accumulated selected features and their associated "Feature attributes"

dialogues is not removed.

    -  If you make the layer with the selected objects invisible, the selection is not removed.

    -  If you remove the layer with the selected objects from the project, QGIS crashes.

#3 - 2015-03-18 10:40 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"40da097f50a250693e5fd65596bc077d44e4b3f7".

Files

KOMMUNE.zip 256 KB 2015-03-08 Bo Victor Thomsen

KOMMUNE.zip 256 KB 2015-03-08 Bo Victor Thomsen
